Bug 81513 - Missing disk space
Missing disk space
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-09 19:13 EST by Hassan Aurag
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hassan Aurag 2003-01-09 19:13:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
Here is the output of df on my laptop:

[aurag@l0553 aurag]$ df
Filesystem           1k-blocks      Used Available Use% Mounted on
/dev/hda3              2830440   2441768    244892  91% /
/dev/hda2                46668     10270     33989  24% /boot
none                     63112         0     63112   0% /dev/shm
/dev/hda1              2677572   2407016    270556  90% /c

As you can easily see, all the numbers match for all filesystems except
/dev/hda3 where the Available should have been: 388672 and not 244892.

Now this is not in my opinion a problem in df itself, but I don't know who would
be responsible. Anyway, this is a nasty problem as sometimes the whole system
will run out of space even though there are still space there. I am loosing on
average about 140 Mb. 

Another test was that I uninstalled mozilla-mail that takes up about 5 Mb
without seeing any change in free space.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
I don't know if you CAN reproduce it. But any tests needed will be run on my
laptop. 

Additional info:

I am using kernel: kernel-2.4.18-18.7.x. Also this wasn't like this before but I
can't really pin-point when it started to happen.
Comment 1 Tim Waugh 2003-01-10 04:38:40 EST
ext3 file system?
Comment 2 Hassan Aurag 2003-01-10 11:01:25 EST
I am sorry. I forgot to give full details.

It is an ext3 filesystem
It's a Toshiba Satellite Pro 4200 Series.
Comment 3 Tim Waugh 2003-01-10 11:19:00 EST
Sounds like it's the journal.
Comment 4 Arjan van de Ven 2003-01-10 11:25:17 EST
there is a reserved area of iirc 5% that is for root user only on /
df will show what is available for non-root users

see
tune2fs -l  /dev/hda3
output for the
Reserved block count:
output
Comment 5 Hassan Aurag 2003-01-10 11:54:22 EST
I have done it and it looks like you are right.

Here is the output:

[root@l0553 root]# tune2fs -l  /dev/hda3
tune2fs 1.27 (8-Mar-2002)
Filesystem volume name:   /
Last mounted on:          <not available>
Filesystem UUID:          96e939e8-6aa7-11d6-8f0b-a44ee0cf123f
Filesystem magic number:  0xEF53
Filesystem revision #:    1 (dynamic)
Filesystem features:      has_journal filetype needs_recovery sparse_super
Filesystem state:         clean
Errors behavior:          Continue
Filesystem OS type:       Linux
Inode count:              359744
Block count:              718908
Reserved block count:     35945
Free blocks:              92901
Free inodes:              260117
First block:              0
Block size:               4096
Fragment size:            4096
Blocks per group:         32768
Fragments per group:      32768
Inodes per group:         16352
Inode blocks per group:   511
Last mount time:          Fri Jan 10 10:08:14 2003
Last write time:          Fri Jan 10 10:08:14 2003
Mount count:              12
Maximum mount count:      -1
Last checked:             Thu Jan  9 10:11:33 2003
Check interval:           0 (<none>)
Reserved blocks uid:      0 (user root)
Reserved blocks gid:      0 (group root)
First inode:              11
Inode size:               128
Journal UUID:             <none>
Journal inode:            8
Journal device:           0x0000
First orphan inode:       21583


And If I do the  4096*35945, I get my 140 missing Mb.


Still df should at least report it as reserved or something. It could and is a
little weird to see disk space disappear.

So I guess it becomes a wish and not a bug.


Thanks for your quick treatment.
Comment 6 Bugzilla owner 2004-09-30 11:40:23 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.